@import './components.scss';
@import './flex.scss';
@import './typograph.scss';

@mixin grid {
    display: grid;
}

//To name lines
//.example {
//  grid-template-columns: [example];
//}

.grid {
    @include grid;
}

@for $i from 1 through 10 {
    .colStart-#{$i} {
        @include grid;
        grid-column-start: $i;
    }
    .colEnd-#{$i} {
        @include grid;
        grid-column-end: $i;
    }
}

@for $i from 1 through 10 {
    .rowStart-#{$i}   {
        @include grid;
        grid-row-start: $i;
    }
    .rowEnd-#{$i} {
        @include grid;
        grid-row-end: $i;
    }
}

//add @for for every col
@for $y from 1 through 10 {
    @for $i from 1 through 10 {
        .tempCols-#{$i}-#{y} {
            @include grid;
            grid-template-columns: $i + fr $y + fr;
        }
        .gridCol-#{$i}-#{$y} {
            @include grid;
            grid-column: $i $y;
        }
    }
}

@for $i from 1 through 10 {
    .tempCols-#{$i} {
        @include grid;
        grid-template-columns: $i + vw;
    }
    .gridCol-#{$i} {
        @include grid;
        grid-column: $i;
    }
}

//add @for for every row
@for $y from 1 through 10 {
    @for $i from 1 through 10 {
        .tempRows-#{$i}-#{$y} {
            @include grid;
            grid-template-rows: $i + fr $y + fr;
        }
        .gridRow-#{$i}-#{$y} {
            @include grid;
            grid-row: $i $y;
        }
    }
}

@for $i from 1 through 10 {
    .tempRows-#{$i} {
        @include grid;
        grid-template-rows: $i + vh;
    }
    .gridRow-#{$i} {
        @include grid;
        grid-row: $i;
    }
}

//gap size(px)
@for $i from 0 through 100 {
    .gap-#{$i} {
        @include grid;
        gap: $i + px;
    }
    .colGap-#{$i} {
        @include grid;
        column-gap: $i + px;
    }
    .rowGap-#{$i} {
        @include grid;
        row-gap: $i + px;
    }
}
